%define srcname ktp-approver
%define rel 1

Summary:       KDE Channel Approver for Telepathy
Name:          telepathy-kde-approver
Version:       0.3.0
Release:       %mkrel %{rel}
Url:           https://projects.kde.org/projects/playground/network/telepathy/telepathy-approver
Source0:       ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:       GPLv2+
Group:         Networking/Instant messaging 
BuildRequires: pkgconfig(TelepathyQt4)
BuildRequires: kdelibs4-devel

Obsoletes: telepathy-approver < 0.2.0-0

%description
KDE Channel Approver for Telepathy.

%files -f kded_ktp_approver.lang
%{_kde_libdir}/kde4/kded_ktp_approver.so
%{_kde_configdir}/ktp_approverrc
%{_kde_services}/kded/ktp_approver.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Approver.service

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang kded_ktp_approver


%changelog

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202921
- Fix BuildRequires
- Update tarball to 0.3.0

* Sun Nov 27 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173199
- Update tarball to 0.2.0
- fix files list
- use space instead of tabs
- Rename package to match upstream name
- Update tarball
- fix files list

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113035
- New snapshot

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113032
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110414.1.mga1
+ Revision: 86116
- imported package telepathy-approver

